Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web
Class MockExpressionEvaluator

    java.lang.Object
      javax.servlet.jsp.el.ExpressionEvaluator
          org.springframework.mock.web.MockExpressionEvaluator

    public class MockExpressionEvaluator

extends javax.servlet.jsp.el.ExpressionEvaluator

Mock implementation of the JSP 2.0 `ExpressionEvaluator` interface, delegating to the Jakarta JSTL ExpressionEvaluatorManager.

Used for testing the web framework; only necessary for testing applications when testing custom JSP tags.

Note that the Jakarta JSTL implementation (jstl.jar, standard.jar) has to be available on the class path to use this expression evaluator.

Since:
  1.1.5
Author:
  Juergen Hoeller
See Also:
  `ExpressionEvaluatorManager`

Constructor Summary
`MockExpressionEvaluator(javax.servlet.jsp.PageContext pageContext)` Create a new MockExpressionEvaluator for the given PageContext.

Method Summary
`protected java.lang.Object` | `doEvaluate(java.lang.String expression, java.lang.Class expectedType, javax.servlet.jsp.el.FunctionMapper functionMapper)`
`java.lang.Object` | `evaluate(java.lang.String expression, java.lang.Class expectedType, javax.servlet.jsp.el.VariableResolver variableResolver, javax.servlet.jsp.el.FunctionMapper functionMapper)`
`javax.servlet.jsp.el.Expression` | `parseExpression(java.lang.String expression, java.lang.Class expectedType, javax.servlet.jsp.el.FunctionMapper functionMapper)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockExpressionEvaluator

    public MockExpressionEvaluator(javax.servlet.jsp.PageContext pageContext)

  Create a new MockExpressionEvaluator for the given PageContext.

  Parameters:
    `pageContext` - the JSP PageContext to run in

Method Detail

### parseExpression

    public javax.servlet.jsp.el.Expression parseExpression(java.lang.String expression,
                                                           java.lang.Class expectedType,
                                                           javax.servlet.jsp.el.FunctionMapper functionMapper)
                                                    throws javax.servlet.jsp.el.ELException

  Specified by:
    `parseExpression` in class `javax.servlet.jsp.el.ExpressionEvaluator`
  Throws:
    `javax.servlet.jsp.el.ELException`

### evaluate

    public java.lang.Object evaluate(java.lang.String expression,
                                     java.lang.Class expectedType,
                                     javax.servlet.jsp.el.VariableResolver variableResolver,
                                     javax.servlet.jsp.el.FunctionMapper functionMapper)
                              throws javax.servlet.jsp.el.ELException

  Specified by:
    `evaluate` in class `javax.servlet.jsp.el.ExpressionEvaluator`
  Throws:
    `javax.servlet.jsp.el.ELException`

### doEvaluate

    protected java.lang.Object doEvaluate(java.lang.String expression,
                                          java.lang.Class expectedType,
                                          javax.servlet.jsp.el.FunctionMapper functionMapper)
                                   throws javax.servlet.jsp.el.ELException

  Throws:
    `javax.servlet.jsp.el.ELException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD